Auto Multiple Choice - Bug # 560: Non mise-a-jour des identifiants des questions

Status: Closed Priority: Normal
Author: Colas B Category:

Created: 05/11/2018 Assignee:

Updated: 02/08/2021 Due date:

Description: Bonjour,

j'ai remarqué que si je changeais les codes d'identification des questions apres le calcul des mises en pages
(une premiere fois), alors les nouveaux codes ne sont pas pris en compte, méme si je reprends tout depuis le
début (Mettre a jour les documents, calcul des mises en page).

Merci
Colas

History

05/11/2018 10:11 pm - Alexis Bienveniie

- Status changed from New to Feedback

Pouvez-vous détailler les actions que vous effectuez, et le résultat obtenu ? Qu'entendez-vous par « les nouveaux codes ne sont pas pris en compte »
?

05/11/2018 10:46 pm - Colas B
J'ai

<pre>
\begin{question}{firstld}
[-]

\end{question}

</pre>

J'ai validé le fichier, calculé les mises en page, ajouté des copies, fais des corrections, etc.

Puis, je souhaite changer le nom de l'identifiant.
(Remarque : il ne s'agit pas d'un cas qui est trés courant, mais c'est parce que je suis en train de faire des tests avec AMC pour coder des feuilles de
correction de DS, etc.)

Je fais donc, a la place des lignes précédentes :

<pre>
\begin{question}{NEWfirstId}
[--]

\end{question}

</pre>

Je revaille mon code (je le compile), je calcule les mises en page, je ré-ajoute mes scans, je corrige mes copies. Quand finalement j'ouvre le fichier

.0ds, je me rends compte que les identifiants n'ont pas changé.

Du coup, je re-crée un nouveau projet depuis zéro ; et 1, cette fois-ci, les nouveaux ids sont bien la.

Merci

05/13/2018 01:22 pm - Alexis Bienveniie
Avez-vous bien cliqué sur _Exporter_ de nouveau pour fabriquer un nouveau fichier @ods@ ?
05/13/2018 03:17 pm - Colas B
Oui !

05/13/2018 03:21 pm - Alexis Bienveniie
Je n'arrive pas a reproduire le probléme... Pouvez-vous faire toutes les opérations (depuis la création du projet) en mode débogage (depuis le menu
_Aide_), et poster le fichier @log@ produit ?

05/13/2018 07:29 pm - Frédéric Bréal

> Quand finalement j'ouvre le fichier .ods, je me rends compte que les identifiants n'ont pas changé.

A tout hasard, ma participation, fagon mouche du coche : le fichier ods est-il resté ouvert pendant la nouvelle compilation ? Si oui, il faut le recharger
*fichier > recharger* pour que tout soit pris en compte.

02/08/2021 11:27 am - Alexis Bienveniie
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
